INSERT INTO users (login, name, password, email, active, birth_date, role_id) VALUES
  ('oklyavin', 'Oleg Klyavin', 'cbf38c35ae6320540bfd860ca00e744d', 'test@compmechlab.com', 't', '1999-01-08', 2),
  ('maleshin', 'Mikhail Aleshin', '15b73ae40df89bc9bfdc0289a4739425', 'test@compmechlab.com', 't', '1999-01-08', 2),
  ('adavlechina', 'Anna Davlechina', 'adc4f0cd935fbc745e0d77af2dd8ed99', 'davlechina@compmechlab.com', 't',
   '1999-01-08', 2),
  ('lukash', 'Anton Lukashin', '860b541d77676248b8f9fc39fb78e836', 'anton.lukashin@crplab.ru', 't', '1999-01-08', 2),
  ('test', 'Test Testov', md5('test'), 'mailer.crplab@gmail.com', 't', '1999-01-08', 2),
  ('admin1', 'Test Testov', md5('admin1'), 'mailer.crplab@gmail.com', 't', '1999-01-09', 3),
  ('user', 'User tester', md5('user'), 'mailer.crplab@gmail.com', 't', '1999-01-08', 2),
  ('ptester', 'Password tester', md5('q123Z123#'), 'mailer.crplab@gmail.com', 't', '1999-01-08', 2),
  ('guest', 'Guest tester', md5('guest'), 'mailer.crplab@gmail.com', 't', '1999-01-08', 1);

INSERT INTO folders (name, tree_type) VALUES
  ('materials root folder', 'materials'),
  ('composite materials root folder', 'compositeMaterials'),
  ('construction elements root folder', 'constructionElements'),
  ('construction elements root folder 2', 'constructionElements');


INSERT INTO materials (pid, name, owner_id) VALUES
  (102, 'material 1', 1),
  (102, 'material 2', 1),
  (102, 'material 3', 1),
  (102, 'material 4', 1),
  (102, 'material 5', 1),
  (102, 'material 6', 1);


INSERT INTO files (name, pid, file_type_id, owner_id) VALUES
  ('material file 1', 106, 0, 1),
  ('material file 2', 106, 0, 1),
  ('material file 3', 106, 0, 1),
  ('material file 4', 106, 0, 1),
  ('material file 5', 106, 0, 1),
  ('material file 6', 106, 0, 1);

INSERT INTO parameters_materials (material_id, parameter_id, TEMP, VALUE)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (106, 1, 15 :: NUMERIC, sin(0))
    UNION ALL
    SELECT
      106,
      1,
      (x + 0.1),
      0.1
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (106, 2, 15 :: NUMERIC, 0 :: NUMERIC)
    UNION ALL
    SELECT
      106,
      2,
      (x + 0.1),
      0.1
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;

INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (106, 3, 15 :: NUMERIC, 0 :: NUMERIC)
    UNION ALL
    SELECT
      106,
      3,
      (x + 0.1),
      110
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (107, 1, 15 :: NUMERIC, tan(-3))
    UNION ALL
    SELECT
      107,
      1,
      (x + 0.1),
      0.1
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (107, 2, 15 :: NUMERIC, round(-3))
    UNION ALL
    SELECT
      107,
      2,
      (x + 0.1),
      0.1
    FROM t
    WHERE x <= 25
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (107, 3, 15 :: NUMERIC, 8 :: NUMERIC)
    UNION ALL
    SELECT
      107,
      3,
      (x + 0.1),
      3500
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (107, 4, 15 :: NUMERIC, random())
    UNION ALL
    SELECT
      107,
      4,
      (x + 0.1),
      0.1
    FROM t
    WHERE x < 25
  ) SELECT *
    FROM t;


INSERT INTO technologies (name, technology_type, owner_id) VALUES
  ('first technology', 'ADDITIVE_3CM', 1),
  ('second technology', 'ADDITIVE_2CM', 1);


INSERT INTO equipments (name, manufacturer) VALUES
  ('equipment 1', 'manufacturer 1'),
  ('equipment 2', 'manufacturer 2'),
  ('equipment 3', 'manufacturer 3'),
  ('equipment 4', 'manufacturer 4');

INSERT INTO technologies_equipments (technology_id, equipment_id) VALUES
  (118, 1),
  (118, 2),
  (119, 1),
  (119, 3),
  (119, 4);


INSERT INTO composite_materials (pid, name, owner_id, technology_id, equipment_id, matrix_id, fiber_id, fiber_concentration)
VALUES
  (103, 'composite material 1', 1, 118, 1, 106, 107, 29);


INSERT INTO layers (position, thickness, angle, composite_material_id) VALUES
  (0, 1, 1, 120),
  (1, 2, 2, 120);


INSERT INTO files (name, pid, file_type_id, owner_id) VALUES
  ('composite material file 1', 120, 3, 1),
  ('composite material file 2', 120, 3, 1),
  ('composite material file 3', 120, 3, 1),
  ('composite sample file 1', 120, 1, 1),
  ('composite sample file 2', 120, 1, 1),
  ('composite sample file 3', 120, 1, 1);


INSERT INTO parameters_materials (material_id, parameter_id, temp, value, func_value, sim_value)
  WITH RECURSIVE t(material_id, parameter_id, x, y1, y2, y3) AS (
    VALUES (120, 4, 0 :: NUMERIC, sin(0), sin(0) + 0.1, sin(0) + 0.2)
    UNION ALL
    SELECT
      120,
      4,
      (x + 0.1),
      sin(x + 0.1),
      sin(x + 0.1) + 0.1,
      sin(x + 0.1) + 0.2
    FROM t
    WHERE x < 0.1
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value, func_value, sim_value)
  WITH RECURSIVE t(material_id, parameter_id, x, y1, y2, y3) AS (
    VALUES (120, 7, 0 :: NUMERIC, sin(0), sin(0) + 0.5, sin(0) + 0.9)
    UNION ALL
    SELECT
      120,
      7,
      (x + 0.1),
      sin(x + 0.1),
      sin(x + 0.1) + 0.5,
      sin(x + 0.1) + 0.9
    FROM t
    WHERE x < 0.1
  ) SELECT *
    FROM t;


INSERT INTO parameters_materials (material_id, parameter_id, temp, value)
  WITH RECURSIVE t(material_id, parameter_id, x, y) AS (
    VALUES (120, 8, 0 :: NUMERIC, 0 :: NUMERIC)
    UNION ALL
    SELECT
      120,
      8,
      (x + 0.1),
      (x + 0.1) * (x + 0.1)
    FROM t
    WHERE x < 0.1
  ) SELECT *
    FROM t;


INSERT INTO files (name, pid, file_type_id, owner_id) VALUES
  ('parameter file 1', 1, 2, 1),
  ('parameter file 2', 2, 2, 1);


INSERT INTO parameter_files_materials (parameter_id, file_id, composite_material_id) VALUES
  (1, 127, 120),
  (2, 128, 120);


INSERT INTO construction_elements (pid, name, owner_id) VALUES
  (104, 'first construction element', 1),
  (104, 'second construction element', 1),
  (104, 'third construction element', 1);


INSERT INTO construction_element_file_types (pid, name, owner_id) VALUES
  (129, 'CAD', 1),
  (129, 'CAE', 1),
  (129, 'CAO', 1),

  (130, 'CAD', 1),
  (130, 'CAE', 1),
  (130, 'CAO', 1),

  (131, 'CAD', 1),
  (131, 'CAE', 1),
  (131, 'CAO', 1);


INSERT INTO files (name, path_to_file, pid, file_type_id, owner_id) VALUES
  ('CAE-file-1.inp', 'optimizations/1/CAD-file-1.inp', 132, 9, 1),
  ('python-script-1.py', 'optimizations/1/python-script-1.py', 133, 15, 1),
  ('CAO file 1.inp', 'optimizations/1/CAO-file-1.inp', 134, 10, 1),

  ('CAE file 2.inp','optimizations/2/CAD-file-2.inp', 135, 9, 1),
  ('python-script-2.py', 'optimizations/2/python-script-2.py', 136, 15, 1),
  ('CAO file 2.inp','optimizations/2/CAO-file-2.inp', 137, 10, 1),

  ('CAE file 3.inp','optimizations/3/CAD-file-3.inp', 138, 9, 1),
  ('python-script-3.py', 'optimizations/3/python-script-3.py', 139, 15, 1),
  ('CAO file 3.inp','optimizations/3/CAO-file-3.inp', 140, 10, 1);

INSERT INTO construction_elements_files (construction_element_id, file_id) VALUES
  (129, 141),
  (129, 142),
  (129, 143),

  (130, 144),
  (130, 145),
  (130, 146),

  (131, 147),
  (131, 148),
  (131, 149);

-- material for ticket http://youtrack.crplab.ru/issue/LVMS-45#
INSERT INTO materials (pid, name, owner_id) VALUES
  (102, 'Тестовый материал', 1);


INSERT INTO parameters_materials (material_id, parameter_id, temp, value) VALUES
  (150, 1, 20, 230),
  (150, 2, 20, 0.3),
  (150, 3, 20, 800),
  (150, 4, 20, 1500),
  (150, 5, 20, 22),
  (150, 6, 20, 5.44),
  (150, 7, 20, 5.44);

-- composite material for ticket http://youtrack.crplab.ru/issue/LVMS-45#
INSERT INTO composite_materials (pid, name, owner_id) VALUES
  (103, 'Тестовый композитный материал', 1);


INSERT INTO parameters_materials (material_id, parameter_id, temp, value) VALUES
  (151, 4, 20, 1500),
  (151, 7, 20, 5.44),
  (151, 8, 20, 230),
  (151, 9, 20, 230),
  (151, 10, 20, 230),

  (151, 11, 20, 1500),
  (151, 12, 20, 22),
  (151, 13, 20, 5.44),

  (151, 14, 20, 0.3),
  (151, 15, 20, 800),
  (151, 16, 20, 1500),

  (151, 17, 20, 800),
  (151, 18, 20, 800),
  (151, 19, 20, 800),

  (151, 20, 20, 800),
  (151, 21, 20, 800),
  (151, 22, 20, 800),

  (151, 23, 20, 22),
  (151, 24, 20, 5.44),
  (151, 25, 20, 0.3),

  (151, 26, 20, 5.44),
  (151, 27, 20, 5.44),
  (151, 28, 20, 5.44);

INSERT INTO standards (name, description, creator, owner_id) VALUES
  ('ГОСТ 25-601.80', 'Испытание на растяжение', 'ГК СССР по стандартам', 1),
  ('ГОСТ 25-604.80', 'Испытание на изгиб', 'ГК СССР по стандартам', 1),
  ('ASTM D3039', 'Hex_ply_m1_601', '', 1);


INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'инженерные расчеты(Only CAD solvers)', 1, 1);

INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'топологические оптимизации(Tosca \ Optistruct)', 2, 1);

INSERT INTO construction_elements_docs (construction_element_id, file_id) VALUES
  (129, 141),
  (129, 142),
  (129, 143),

  (130, 144),
  (130, 145),
  (130, 146),

  (131, 147),
  (131, 148),
  (131, 149);

INSERT INTO adjacent_elements (construction_element_id, adjacent_construction_element_id) VALUES
  (129, 130),
  (129, 131);

INSERT INTO files (name, pid, file_type_id, owner_id) VALUES
  ('load condition 11', 129, 12, 1),
  ('load condition 12', 129, 12, 1),
  ('load condition 13', 129, 12, 1),

  ('load condition 21', 130, 12, 1),
  ('load condition 22', 130, 12, 1),

  ('load condition 31', 131, 12, 1);

INSERT INTO construction_elements_files (construction_element_id, file_id) VALUES
  (129, 157),
  (129, 158),
  (129, 159),

  (130, 160),
  (130, 161),

  (131, 162);

INSERT INTO files (name, pid, file_type_id, owner_id) VALUES
  ('design solution 11', 129, 11, 1),
  ('design solution 12', 129, 11, 1),
  ('design solution 13', 129, 11, 1),

  ('design solution 21', 130, 11, 1),
  ('design solution 22', 130, 11, 1),

  ('design solution 31', 131, 11, 1);

INSERT INTO construction_elements_files (construction_element_id, file_id) VALUES
  (129, 163),
  (129, 164),
  (129, 165),

  (130, 166),
  (130, 167),

  (131, 168);


INSERT INTO possible_defects (technology_id, defect_name_id, defect_value, act_name) VALUES
  (118, 1, '1 cm', '123'),
  (118, 1, '1 liter', '11'),

  (119, 1, '1 cm', '123'),
  (119, 1, '1 liter', '11');

INSERT INTO technology_parameters (technology_id, parameter_name, parameter_value) VALUES
  (118, 'First param name', 'First param value'),
  (118, 'Second param name', 'Second param value'),

  (119, 'Third param name', 'Third param value'),
  (119, 'Fourth param name', 'Fourth param value');

INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'Топографические оптимизации(Tosca)', 3, 1);

INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'Параметрические оптимизации формы(ModeFrontier)', 4, 1);

INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'Параметрическая оптимизации микроструктуры(ModeFrontier)', 6, 1);

INSERT INTO optimization_folders (construction_element_id, parent_folder_id, base_optimization_id, name, optimization_type_id, owner_id)
VALUES
  (129, NULL, NULL, 'Оптимизация формы(Tosca)', 7, 1);

INSERT INTO effective_characteristics_parameters(type, name, is_composite, parent_param_id) VALUES
('Microstructure', 'Диаметр волокна d, мкм', FALSE, NULL),
('Microstructure', 'Концентрация волокон в пучке, %', FALSE, NULL),

('Mesostructure', 'Габаритные размеры представительного элемента объема, мм', TRUE, NULL),
('Mesostructure', 'A', FALSE, 3),
('Mesostructure', 'B', FALSE, 3),
('Mesostructure', 'L', FALSE, 3);

INSERT INTO effective_characteristics(composite_material_id, name, description, owner_id) VALUES
(120, 'Эффективная характеристика 1', 'Описание 1', 1),
(120, 'Эффективная характеристика 2', 'Описание 2', 1),
(120, 'Эффективная характеристика 3', 'Описание 3', 1);

INSERT INTO effective_characteristics_parameters_join(effective_characteristic_id, param_id, param_value) VALUES
(1, 1, '0.1'),
(1, 2, '0.1'),

(1, 4, '0.1'),
(1, 5, '0.1'),
(1, 6, '0.1'),

(2, 1, '0.1'),
(2, 2, '0.1'),

(2, 4, '0.1'),
(2, 5, '0.1'),
(2, 6, '0.1'),

(3, 1, '0.1'),
(3, 2, '0.1'),

(3, 4, '0.1'),
(3, 5, '0.1'),
(3, 6, '0.1');

INSERT INTO effective_characteristics_defects_parameters(effective_characteristic_id, defect_name_id, percentage, thickness, width, length) VALUES
(1, 1, 1.0, 2.0, 3.0, 4.0),
(1, 2, 1.0, 2.0, 3.0, 4.0),
(1, 3, 1.0, 2.0, 3.0, 4.0),
(1, 4, 1.0, 2.0, 3.0, 4.0),
(1, 5, 1.0, 2.0, 3.0, 4.0),
(1, 6, 1.0, 2.0, 3.0, 4.0),

(2, 1, 1.0, 2.0, 3.0, 4.0),
(2, 2, 1.0, 2.0, 3.0, 4.0),
(2, 3, 1.0, 2.0, 3.0, 4.0),
(2, 4, 1.0, 2.0, 3.0, 4.0),
(2, 5, 1.0, 2.0, 3.0, 4.0),
(2, 6, 1.0, 2.0, 3.0, 4.0),

(3, 1, 1.0, 2.0, 3.0, 4.0),
(3, 2, 1.0, 2.0, 3.0, 4.0),
(3, 3, 1.0, 2.0, 3.0, 4.0),
(3, 4, 1.0, 2.0, 3.0, 4.0),
(3, 5, 1.0, 2.0, 3.0, 4.0),
(3, 6, 1.0, 2.0, 3.0, 4.0);

INSERT INTO nodes ( name, num_cores, memory, url, description, date_created, date_modified, owner_id) VALUES
  ( 'test node', 2, 10000, 'http://localhost:8091/cml-solver/', 'z', '2015-02-24 12:39:21.073795', '2015-02-24 12:39:21.073795', 1),
  ( 'test stage node', 2, 10000, 'http://is.crplab.ru:80/cml-solver/', 'z', now(), now(), 1),
  ( 'windows node', 2, 10000, 'http://195.208.116.243:8080/cml-solver/', 'windows instance in cloud', now(), now(), 1);--#

INSERT INTO virtual_simulations (name, composite_material_id, sample_file_id, standard_id, type_id, ec_id, owner_id, manual_size_h, manual_size_b, manual_size_l) VALUES
  ('simulation 1', 120, 124, 152, 1, 1, 1, 1.5, 12, 250),
  ('simulation 2', 120, 125, 153, 2, 2, 1, 1.5, 12, 250),
  ('simulation 3', 120, 126, 154, 3, 3, 1, 1.5, 12, 250);

-- Bench cloud slurm cluster
INSERT INTO clusters(type_id, name, enabled) VALUES (2, 'Space test slurm cluster', false);
INSERT INTO slurm_cluster_configs(cluster_id, address, user_name,path_to_private_key, partition_name,all_results_dir,nodes_owner_id,connection_timeout)
VALUES(2, '192.168.3.182', 'centos', 'internal/slurm-key', 'main-partition','/mnt/nfs/results/',1, 10);

INSERT INTO clusters(type_id, name, enabled) VALUES (2, 'Space test slurm cluster 2', false);
INSERT INTO slurm_cluster_configs(cluster_id, address, user_name,path_to_private_key, partition_name,all_results_dir,nodes_owner_id,connection_timeout)
VALUES(3, '192.168.3.182', 'centos', 'internal/slurm-key', 'main-partition','/mnt/nfs/results/',1, 10);

INSERT INTO clusters(type_id, name, enabled) VALUES (2, 'Space test slurm cluster 3', false);
INSERT INTO slurm_cluster_configs(cluster_id, address, user_name,path_to_private_key, partition_name,all_results_dir,nodes_owner_id,connection_timeout)
VALUES(4, '192.168.3.182', 'centos', 'internal/slurm-key', 'main-partition','/mnt/nfs/results/',1, 10);

INSERT INTO clusters (type_id, name) VALUES (1, 'Space Local 2');
INSERT INTO clusters (type_id, name) VALUES (1, 'Space Local 3');
