package ru.crp.lvms.model.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Primary;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.HelpChapterEntity;
import ru.crp.lvms.model.entities.UserEntity;
import ru.crp.lvms.model.entities.UserEntityTable;
import ru.crp.lvms.web.dto.user.UserRole;

import javax.annotation.PostConstruct;
import java.util.List;
import java.util.Map;

@Repository
public class HelpChapterDao extends BaseSpaceDao<HelpChapterEntity> {
    public HelpChapterEntity findOne(String urlPath) {
        return findOne("WHERE url_path = ?", urlPath);
    }
}
