package ru.crp.lvms.model.dao;

import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.PossibleDefectsEntity;

import java.util.List;

@Repository
@Primary
public class PossibleDefectsDao extends BaseSpaceDao<PossibleDefectsEntity> {
    public List<PossibleDefectsEntity> getTechnologyEquipment(int technologyId) {
        return find("WHERE technology_id = ?", technologyId);
    }

    public PossibleDefectsEntity findByTechnologyIdAndName(Integer technologyId, String defectName) {
        return findOne("WHERE technology_id = ? AND defect_name = ?", technologyId, defectName);
    }
}
