package ru.crp.lvms.model.entities;


import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

import javax.validation.constraints.NotNull;

@Table("layers")
public class Layer implements Entity {
    private int id;

    @Column("position")
    private Integer position;

    @NotNull(message = "Толщина должна быть задана")
    @Column("thickness")
    private Double thickness;

    @NotNull(message = "Угол должен быть задан")
    @Column("angle")
    private Double angle;

    @Column("composite_material_id")
    private Integer compositeMaterialId;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public Integer getPosition() {
        return position;
    }

    public void setPosition(Integer position) {
        this.position = position;
    }

    public Double getThickness() {
        return thickness;
    }

    public void setThickness(Double thickness) {
        this.thickness = thickness;
    }

    public Double getAngle() {
        return angle;
    }

    public void setAngle(Double angle) {
        this.angle = angle;
    }

    public Integer getCompositeMaterialId() {
        return compositeMaterialId;
    }

    public void setCompositeMaterialId(Integer compositeMaterialId) {
        this.compositeMaterialId = compositeMaterialId;
    }
}
