package ru.crp.lvms.model.entities.tasks;

public class TaskLogRequest {
    public enum Type {
        solverlog,
        postproclog
    }

    private Type type;
    private int length;


    public static TaskLogRequest solverLogRequest(int length) {
        return new TaskLogRequest(Type.solverlog, length);
    }

    public static TaskLogRequest postprocLogRequest(int length) {
        return new TaskLogRequest(Type.postproclog, length);
    }


    public TaskLogRequest(Type type, int length) {
        this.type = type;
        this.length = length;
    }


    public Type getType() {
        return type;
    }


    public int getLength() {
        return length;
    }
}
