package ru.crp.lvms.optimizations.base.entities.tree;

import java.util.Collections;
import java.util.List;

public class DependenciesDescription {

    private List<Integer> nodes = Collections.emptyList();
    private ConditionType condition = ConditionType.ANY_SELECTED;

    public DependenciesDescription(List<Integer> nodes, ConditionType condition) {
        this.nodes = nodes;
        this.condition = condition;
    }

    public List<Integer> getNodes() {
        return nodes;
    }

    public ConditionType getCondition() {
        return condition;
    }

    public boolean satisfies(TechnologicalConstraintTreeNodeValue fieldToTest, List<Integer> presentFieldIds) {
        return condition.satisfies(fieldToTest, nodes, presentFieldIds);
    }
}
