package ru.crp.lvms.optimizations.mf.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationBaseSetting;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettignsDao;

@Repository
public class MFOptimizationBaseSettingsDao extends AbstractOptimizationSettignsDao<MFOptimizationBaseSetting> {
    public MFOptimizationBaseSetting getBaseSettingsByType(int optimizationId, int typeId) {
        return findOne("WHERE optimization_id = ? AND type_id = ?", optimizationId, typeId);
    }
}
