package ru.crp.lvms.optimizations.mf.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationCADVaryingParam;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettignsDao;

import java.util.List;

@Repository
public class MFOptimizationCADVaryingParamsDao extends AbstractOptimizationSettignsDao<MFOptimizationCADVaryingParam> {
    @Override
    public List<MFOptimizationCADVaryingParam> findForOptimization(int optimizationId) {
        return find("WHERE optimization_id = ? ORDER BY id", optimizationId);
    }
}
