
package ru.crp.lvms.optimizations.optimus.config.xml;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)

@XmlType(name = "COMMANDSType", propOrder = {
        "needed_for","creoMake","make","creoGroup","group","get"
})

public class CommandsType {

    @XmlElement(name = "NEEDED_FOR", required = true)
    protected Needed_forType needed_for;

    @XmlElement(name = "MAKE", required = true)
    private List<MakeCreoType> creoMake;

    @XmlElement(name = "MAKE", required = true)
    private List<MakeType> make;

    @XmlElement(name = "GROUP", required = true)
    private List<GroupCreoType> creoGroup;

    @XmlElement(name = "GROUP", required = true)
    private List<GroupType> group;

    @XmlElement(name = "GET", required = true)
    private List<GetType> get;



    public CommandsType() {
        make = new ArrayList<MakeType>(); creoMake = new ArrayList<MakeCreoType>();
          creoGroup = new ArrayList<GroupCreoType>(); group = new ArrayList<GroupType>();
          get = new ArrayList<GetType>();
    }


   // private List<MakeType> make = new ArrayList<MakeType>();


    public Needed_forType getNeeded_for() {
        return needed_for;
    }

    public void setNeeded_for(Needed_forType needed_for) {
        this.needed_for = needed_for;
    }

    public List<MakeCreoType> getCreoMake() {
        return creoMake;
    }

    public void setCreoMake(List<MakeCreoType> creoMake) {
        this.creoMake = creoMake;
    }

    public List<MakeType> getMake() {
        return make;
    }

    public void setMake(List<MakeType> make) {
        this.make = make;
    }

    public List<GroupCreoType> getCreoGroup() {
        return creoGroup;
    }

    public void setCreoGroup(List<GroupCreoType> creoGroup) {
        this.creoGroup = creoGroup;
    }

    public List<GroupType> getGroup() {
        return group;
    }

    public void setGroup(List<GroupType> group) {
        this.group = group;
    }

    public List<GetType> getGet() {
        return get;
    }

    public void setGet(List<GetType> get) {
        this.get = get;
    }
}
