
package ru.crp.lvms.optimizations.optimus.config.xml;

import javax.xml.bind.annotation.*;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RESPONSELIST", propOrder = {
        "low", "high"
})
public class ResponseList {

    @XmlAttribute(name = "name")
    private String name;
    @XmlElement(name = "low", required = true)
    private Double low;
    @XmlElement(name = "high", required = true)
    private Double high;

    public ResponseList() {
    }

    public ResponseList(String name, Double low, Double high) {

        this.name = name;
        this.low = low;
        this.high = high;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Double getLow() {
        return low;
    }

    public void setLow(Double low) {
        this.low = low;
    }

    public Double getHigh() {
        return high;
    }

    public void setHigh(Double high) {
        this.high = high;
    }

}
