package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructOptimizationAdditionalParameter;

import java.util.List;

@Transactional(propagation = Propagation.REQUIRED)
@Repository
public class OptistructOptimizationAdditionalParametersDao extends BaseSpaceDao<OptistructOptimizationAdditionalParameter> {

    public List<OptistructOptimizationAdditionalParameter> findForOptimization(int optimizationId) {
        return find("WHERE optimization_id = ?", optimizationId);
    }
}
