package ru.crp.lvms.optimizations.optistruct.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructTFAttb;

import java.util.List;

@Repository
public class OptistructTFAttbDao extends BaseSpaceDao<OptistructTFAttb> {

    public List<OptistructTFAttb> findAllowed(Integer tfId) {
        return find("JOIN optistruct_tf_allowed_attb " +
                "ON optistruct_tf_allowed_attb.attb_id = o.id " +
                "WHERE optistruct_tf_allowed_attb.tf_id = ?", tfId);
    }

}
