package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("optistruct_optimization_additional_parameters_join")
public class OptistructOptimizationAdditionalParameter implements Entity {

    private int id;

    @Column("optimization_id")
    private int optimizationId;

    @Column("name")
    private String name;

    @Column("parameter_id")
    private int parameterId;

    @Column("parameter_name")
    private String parameterName;

    @Column("parameter_type_id")
    private int parameterTypeId;

    @Column("parameter_type_name")
    private String parameterTypeName;

    @Column("parameter_type_code_name")
    private String parameterTypeCodeName;

    @Column("value")
    private String value;

    @Column("group_id")
    private int groupId;

    public int getGroupId() {
        return groupId;
    }

    public void setGroupId(int groupId) {
        this.groupId = groupId;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public int getOptimizationId() {
        return optimizationId;
    }

    public void setOptimizationId(int optimizationId) {
        this.optimizationId = optimizationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getParameterId() {
        return parameterId;
    }

    public void setParameterId(int parameterId) {
        this.parameterId = parameterId;
    }

    public int getParameterTypeId() {
        return parameterTypeId;
    }

    public void setParameterTypeId(int parameterTypeId) {
        this.parameterTypeId = parameterTypeId;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getParameterName() {
        return parameterName;
    }

    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }

    public String getParameterTypeName() {
        return parameterTypeName;
    }

    public void setParameterTypeName(String parameterTypeName) {
        this.parameterTypeName = parameterTypeName;
    }

    public String getParameterTypeCodeName() {
        return parameterTypeCodeName;
    }

    public void setParameterTypeCodeName(String parameterTypeCodeName) {
        this.parameterTypeCodeName = parameterTypeCodeName;
    }
}
