package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;

@Table("optistruct_optimization_constraint_join")
public class OptistructOptimizationConstraint extends OptistructOptimizationTFOrConstraint {

    @Column("lower_bound")
    private String lowerBound;

    @Column("upper_bound")
    private String upperBound;

    public OptistructOptimizationConstraint() {
        super();
    }

    public OptistructOptimizationConstraint(int optimizationId, String name) {
        super(optimizationId, name);
    }

    public OptistructOptimizationConstraint(int optimizationId, String name, Integer tfId) {
        super(optimizationId, name);
        setTfId(tfId);
    }

    public String getLowerBound() {
        return lowerBound;
    }

    public void setLowerBound(String lowerBound) {
        this.lowerBound = lowerBound;
    }

    public String getUpperBound() {
        return upperBound;
    }

    public void setUpperBound(String upperBound) {
        this.upperBound = upperBound;
    }
}
