package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettings;

@Table("optistruct_optimization_tech_constraints_join")
public class OptistructOptimizationTechnologicalConstraint extends AbstractOptimizationSettings {

    @Column("tech_constr_id")
    private Integer technologicalConstraintId;

    @Column("tech_constraint_name")
    private String constraintName;

    @Column("tech_constraint_placeholder")
    private String placeholder;

    public OptistructOptimizationTechnologicalConstraint() {
        super();
    }

    public OptistructOptimizationTechnologicalConstraint(int optimizationId, int technologicalConstraintId, String name) {
        super(optimizationId, name);
        this.technologicalConstraintId = technologicalConstraintId;
    }

    public Integer getTechnologicalConstraintId() {
        return technologicalConstraintId;
    }

    public void setTechnologicalConstraintId(Integer technologicalConstraintId) {
        this.technologicalConstraintId = technologicalConstraintId;
    }

    public String getConstraintName() {
        return constraintName;
    }

    public void setConstraintName(String constraintName) {
        this.constraintName = constraintName;
    }

    public String getPlaceholder() {
        return placeholder;
    }

    public void setPlaceholder(String placeholder) {
        this.placeholder = placeholder;
    }
}
