//package ru.crp.lvms.optimizations.tosca.config.argumentConverters;
//
//import org.apache.commons.lang3.tuple.Pair;
//import ru.crp.lvms.optimizations.tosca.entities.ToscaOptimizationTechnologicalConstraint;
//import ru.crp.lvms.optimizations.tosca.entities.ToscaTechnologicalConstraintTreeValue;
//import ru.crp.lvms.optimizations.tosca.managers.ToscaTechnologicalConstraintTreeValueManager;
//
//import java.util.List;
//
//import static java.util.Arrays.asList;
//
//public class CSArgumentConverter extends CommandArgumentConverter {
//    private static final List<String> CS_ARGUMENT_NAMES = asList("PULL_CS", "CS_CHILD", "CS");
//
//    public CSArgumentConverter(ToscaTechnologicalConstraintTreeValueManager toscaTechnologicalConstraintTreeValueManager) {
//        super(toscaTechnologicalConstraintTreeValueManager);
//    }
//
//
//    @Override
//    public Pair<String, String> convertValue(ToscaOptimizationTechnologicalConstraint constraint, ToscaTechnologicalConstraintTreeValue value,
//                                             List<ToscaTechnologicalConstraintTreeValue> allValues,
//                                             List<Pair<String, String>> alreadyConvertedValues) {
//        if (value.getValue() == null) {
//            return Pair.of(value.getName(), value.getValue());
//        } else {
//            return Pair.of(value.getName(), String.format("CS_%s", value.getValue()));
//        }
//    }
//
//
//    @Override
//    public boolean canConvert(ToscaOptimizationTechnologicalConstraint constraint, ToscaTechnologicalConstraintTreeValue value) {
//        return CS_ARGUMENT_NAMES.contains(value.getName());
//    }
//}
