package ru.crp.lvms.optimizations.tosca.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.dao.BaseSpaceDao;
import ru.crp.lvms.optimizations.tosca.entities.ToscaTechnologicalConstraint;

import java.util.List;

@Repository
public class ToscaTechnologicalConstraintDao extends BaseSpaceDao<ToscaTechnologicalConstraint> {
    public List<ToscaTechnologicalConstraint> findAllToscaTechnologicalConstraint(Integer optimizationTypeId) {
        return find("WHERE opt_type_id = ?", optimizationTypeId);
    }
}
