package ru.crp.lvms.optimizations.tosca.entities;

import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationBaseSetting;
import ru.crp.lvms.optimizations.tosca.enums.ToscaBaseSettingType;

@Table("toska_optimization_base_settings_join")
public class ToscaOptimizationBaseSetting extends MFOptimizationBaseSetting {

    public ToscaOptimizationBaseSetting() {
    }

    public ToscaOptimizationBaseSetting(int optimizationId, int typeId, int currentValue) {
        super(optimizationId, typeId, currentValue);
    }

    @Override
    public String getType() {
        return ToscaBaseSettingType.valueOf(getTypeId()).name();
    }
}
