package ru.crp.lvms.optimizations.tosca.entities;

import com.fasterxml.jackson.annotation.JsonIgnore;
import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("toska_target_function_parameters")
public class ToscaTargetFuncOrConstraintParameter implements Entity {
    private int id;

    @Column("name")
    private String name;

    @Column("dresp_type")
    private String drespType;

    @Column("node_or_element_id")
    private Integer nodeOrElementId;

    @Column("group_name")
    private String groupName;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDrespType() {
        return drespType;
    }

    public void setDrespType(String drespType) {
        this.drespType = drespType;
    }

    @JsonIgnore
    public Integer getNodeOrElementId() {
        return nodeOrElementId;
    }

    public void setNodeOrElementId(Integer nodeOrElementId) {
        this.nodeOrElementId = nodeOrElementId;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
}
