package ru.crp.lvms.optimizations.tosca.entities;

import com.fasterxml.jackson.annotation.JsonIgnore;
import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("toska_technological_constraints_extended")
public class ToscaTechnologicalConstraint implements Entity {

    private int id;

    @Column("name")
    private String name;

    @Column("comand_name")
    private String comandName;

    @Column("has_fields")
    private Boolean hasFields;

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @JsonIgnore
    public String getComandName() {
        return comandName;
    }

    public void setComandName(String comandName) {
        this.comandName = comandName;
    }

    public Boolean getHasFields() {
        return hasFields;
    }

    public void setHasFields(Boolean hasFields) {
        this.hasFields = hasFields;
    }
}
