package ru.crp.lvms.web.dto.columns;

import javax.annotation.Nonnull;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.FIELD)
public @interface GridColumn {
    @Nonnull String label();

    int order();

    @Nonnull String name();

    boolean editable() default false;

    boolean isExcluded() default false;

    @Nonnull GridColumnType cell() default GridColumnType.string;
}
