/**
 * Created by tikhonov on 27/10/14.
 */
(function () {
  "use strict";

  App.Controllers.AdminNavigationController = Backbone.Marionette.Controller.extend({
    initialize: function(options) {

    },

    showAdminHome: function() {
      window.App.execute("admin:show");
    },

    showAdminUsers: function() {},

    showAdminNodesCreate: function () {
      window.App.commands.execute("admin:nodes:create:show");
    },

    showNodePage: function (param) {
      window.App.commands.execute("admin:nodes:id:show", {'id': param});
    },

    showSolverPage: function (param) {
      window.App.commands.execute("admin:solvers:id:show",{'id' : param});
    },

    showAdminNodes: function() {
      window.App.commands.execute("admin:nodes:show");
    },

    showAdminSolversCreate: function () {
      window.App.commands.execute("admin:solvers:create:show");
    },

    showAdminTclScripts: function () {
      window.App.commands.execute("admin:tcl:scripts:show");
    },

    showAdminSolvers: function() {
      window.App.commands.execute("admin:solvers:show");
    }
  })

}());