(function () {
  window.App.Models.TreeEntityModel = Backbone.Model.extend({
    urlRoot: function () {
      if (this.options.onlyFolders) {
        return "rest/tree/" + this.options.treeType + "/subnodes?onlyFolders=true";
      } else {
        return "rest/tree/" + this.options.treeType + "/subnodes";
      }

    },

    initialize: function (options) {
      if (_.isUndefined(options)) {
        throw new Error("TreeEntityModel - No Options Passed");
      }

      this.options = options || {};
    },

    fetch: function (options) {

      options = options || {};
      _.extend(options, {

        data: options.filter || {}
      });

      return Backbone.Model.prototype.fetch.call(this, options)
    }
  });
}());