/**
 *
 * Navigation Menu View
 *
 */


(function () {
  "use strict";

  window.App.Views.MainAppHeader = Backbone.Marionette.LayoutView.extend({
    template: "./views/templates/header/main_app_header.html.ejs",

    regions: {},

    events: {
      "click @ui.navigationRoute" : "onClickNavigationRoute"
    },

    ui: {
      navigationRoute: ".navigate-route"
    },

    initialize: function (options) {
      this.listenTo(this.model, "change", this.render);
    },

    onClickNavigationRoute: function(e) {
      e.preventDefault();

      window.App.navigate($(e.target).data("route"), {trigger: true});
    },

    onRender: function (){

    }

  });

})();