(function () {
  "use strict";

  window.App.Views.EffectiveCharacteristicMicroStructureView = Marionette.LayoutView.extend({
    template: "./views/templates/project/effective_characteristics/effective_characteristic_micro_structure.html.ejs",
    className: "ui-effective-characteristic-micro-structure",

    behaviors: {
      EffectiveCharacteristicBehaviors: {}
    },

    initialize: function () {
      if (this.options.microStructureHasImage) this.className = this.className + " clearfix";
    },

    templateHelpers: function() {
      return {
        isView: this.options.mode == "view",
        effectiveCharacteristicId: this.options.effectiveCharacteristicId,
        microStructureHasImage: this.options.microStructureHasImage
      }
    }

  });

}());