(function () {
  "use strict";

  window.App.Views.CreateModalPath = window.App.Views.BasePathModal.extend({
    template: "./views/templates/project/modals/create_modal_path.html.ejs",
    className: "create-modal-path",
    ui: {
      backBtn:    ".js-back",
      selectBtn:  ".js-select-path"
    },

    events: {
      "click @ui.backBtn":    "onClickBackBtn",
      "click @ui.selectBtn":  "onClickSelectBtn"
    },

    onClickBackBtn: function () {
      this.trigger("path:select:canceled");
    },

    onClickSelectBtn: function () {
      if (this.treeNode) {
        this.trigger("path:select:done", this.treeNode);
      } else {
        window.alertify.error("Нужно выбрать путь.");
        return false;
      }
    }

  });

})();