var OptimizationModeFrontierBorders = Backbone.Collection.extend({
  url: function () {
    return "rest/optimizations/" + this.options.optimizationId + "/ModeFrontier/cao-borders";
  },

  initialize: function (collection, options) {
    this.options = options || {};
  }
});

window.OptimizationModeFrontierScriptParameters = React.createClass({
  getInitialState: function () {
    return new OptimizationModeFrontierBorders(null, { optimizationId: this.props.optimizationId });
  },
  componentDidMount: function () {
    this.fetchData();
    window.App.commands.setHandler("update:script:parameters", () => this.fetchData());
    window.App.commands.setHandler("basic:NUM_CAO_VARYING_PARAMS:changed", () => this.fetchData());
  },
  fetchData: function () {
    this.state.fetch().done(()=> this.forceUpdate());
  },
  prepareParameters: function () {
    return this.state.toJSON().map((border) => {
      return <window.OptimizationModeFrontierScriptParameter key={border.id} data={border} onClick={this.props.onClick} isView={this.props.isView}/>
    });
  },
  render: function () {
    let parameters = this.prepareParameters();
    return (
      <div className="ui-optimization-block">
        <div className="ui-optimization-block-header">Псевдоним</div>
        <div className="ui-optimization-block-body">
           {parameters}
        </div>
      </div>
    )
  }
})