(function () {
  "use strict";
  window.App.Views.OptimizationReferencesPage = window.App.Views.BasePage.extend({
    template: "./views/templates/project/optimization/optimization_references_page.html.ejs",
    regions: _.extend({
      mainRegion: ".js-main-region"
    }, window.App.Views.BasePage.prototype.regions),

    initialize: function () {
      window.App.Views.BasePage.prototype.initialize.apply(this, arguments);
      this.page = "references";
    },

    onRender: function () {
      this.initAndShowReferences(this.getRegion("mainRegion"));
      window.App.Views.BasePage.prototype.onRender.call(this);
    },

    initAndShowReferences: function (region) {
      region.show(new window.App.Views.ReferencesView({ id: this.model.id, type: "optimization" }));
    }

  });

})();