(function () {
  "use strict";

  window.App.Views.SliceChartView = Marionette.LayoutView.extend({
    template: "./views/templates/project/optimization/slice_chart.html.ejs",
    className: "slice-chart-view row",

    initialize: function (options) {
      this.options = options || {};
      this.listenTo(this, 'shown', this.showCurve);
    },

    showCurve: function () {
      window.App.Helpers.CurveView.showCurve(this.options.curve);
    },

    passModal: function (md) {
      this.md = md;
    },

    onCancel: function () {

    }

  });

}());