<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page session="true" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>ИСКПИ</title>

    <!-- Bootstrap core CSS -->
    <link href="assets/css/vendor/bootstrap.min.css" rel="stylesheet">
    <link href="assets/css/vendor/bootstrap-theme.min.css" rel="stylesheet">
    <!--FontAwesome core CSS-->
    <link href="assets/css/vendor/font-awesome.min.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="assets/css/login.css" rel="stylesheet">

    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="assets/js/vendor/ie10-viewport-bug-workaround.js"></script>
    <script src="assets/js/vendor/modernizr-2.6.2-respond-1.1.0.min.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body onload="saveUrlHash()">

<div class="apollo">
    <div class="apollo-container clearfix">
        <div class="apollo-facebook">
            <div class="apollo-image"></div>
            <div class="page-header clearfix">
                <h4 class="pull-left">
                    <span class="title-w1">ИСКПИ</span>
                </h4>
                <div class="control-group remember-wrap pull-right">
                    <label> Запомнить &nbsp;</label>
                    <input type="checkbox" name="remember-me"/>
                </div>
            </div>
        </div>

        <div class="apollo-login">

            <form class="form-signin" id="apollo-login-form" action="<c:url value='/login' />" method="POST">
                <div class="control-group">
                    <input type="text" name="username" value="" class="form-control email" placeholder="Пользователь"/>
                </div>


                <div class="control-group">
                    <input type="password" name="password" value="" class="form-control" placeholder="Пароль"/>
                </div>

                <!--
            <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
             -->
                <button class="btn btn-primary btn-block" type="submit">Войти</button>
            </form>

        </div>
    </div>
</div>
<script>
    function saveUrlHash() {
        localStorage.setItem('redirect_auth_hash', window.location.hash);
    }
</script>
</body>
</html>