package ru.crp.lvms.cluster.model;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.Table;
import ru.crp.cmlb.model.entities.base.Entity;

@Table("slurm_cluster_configs")
public class SlurmClusterConfigEntity implements Entity {
    private int id;

    @Column("cluster_id")
    private int clusterId;

    @Column("address")
    private String address;

    @Column("user_name")
    private String user;

    @Column("path_to_private_key")
    private String pathToPrivateKey;

    @Column("partition_name")
    private String partitionName;

    @Column("all_results_dir")
    private String allResultsDir;

    @Column("nodes_owner_id")
    private int nodesOwnerId;

    @Column("connection_timeout")
    private int connectionTimeout;

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public String getPathToPrivateKey() {
        return pathToPrivateKey;
    }

    public void setPathToPrivateKey(String pathToPrivateKey) {
        this.pathToPrivateKey = pathToPrivateKey;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public String getAllResultsDir() {
        return allResultsDir;
    }

    public void setAllResultsDir(String allResultsDir) {
        this.allResultsDir = allResultsDir;
    }

    public int getNodesOwnerId() {
        return nodesOwnerId;
    }

    public void setNodesOwnerId(int nodesOwnerId) {
        this.nodesOwnerId = nodesOwnerId;
    }

    public int getConnectionTimeout() {
        return connectionTimeout;
    }

    public void setConnectionTimeout(int connectionTimeout) {
        this.connectionTimeout = connectionTimeout;
    }

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public int getClusterId() {
        return clusterId;
    }

    public void setClusterId(int clusterId) {
        this.clusterId = clusterId;
    }
}
