package ru.crp.lvms.managers.tasks;

import org.springframework.stereotype.Service;
import ru.crp.cmls.calculations.solvers.xml.config.Type;
import ru.crp.lvms.model.entities.tasks.TaskEntity;
import ru.crp.lvms.optimizations.base.enums.OptimizationCae;

import java.util.List;

import static java.util.Collections.singletonList;

@Service
public class ECTaskManager {

    public List<TaskEntity> createChainOfTasksForEC(TaskEntity newTask) {
        if (newTask.getSolverName() == null) {
            newTask.setSolverName(OptimizationCae.ANSYS.getSolverConfigName());
        }
        newTask.setType(Type.ecSolving);
        return singletonList(newTask);
    }

}
