package ru.crp.lvms.model.dao;

import org.springframework.context.annotation.Primary;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.tree.DefectNameEntity;

import java.util.List;

@Repository
@Primary
public class DefectNameDao extends BaseSpaceDao<DefectNameEntity> {

    public List<DefectNameEntity> findAllowedForEC() {
        String sql = getFindSQL().replace(getTableName(), "effective_characteristics_allowed_defects_names");
        return jdbcTemplate().query(sql, getRowMapper());
    }
}
