package ru.crp.lvms.model.dao;

import org.springframework.stereotype.Repository;
import ru.crp.lvms.model.entities.StandardEntity;

@Repository
public class StandardDao extends BaseSpaceDao<StandardEntity> {
    public boolean exists(int standardId) {
        return findOne(standardId) != null;
    }

    public StandardEntity findByName(String standardName) {
        return findOne("WHERE name = ?", standardName);
    }

}
