package ru.crp.lvms.optimizations.base.controllers;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.crp.lvms.managers.misc.PreferencesManager;
import ru.crp.lvms.optimizations.base.entities.OptimizationDependency;
import ru.crp.lvms.web.controllers.misc.ColumnsController;

import static ru.crp.lvms.utils.URLs.OPTIMIZATION_DEPENDENCIES_URL;

@RestController
@RequestMapping(value = OPTIMIZATION_DEPENDENCIES_URL, produces = MediaType.APPLICATION_JSON_VALUE)
public class OptimizationDependenciesColumnsController implements ColumnsController {
    @Autowired
    private PreferencesManager preferencesManager;

    @Override
    public Class getOutVoClass() {
        return OptimizationDependency.class;
    }

    @Override
    public PreferencesManager getPreferencesManager() {
        return preferencesManager;
    }
}
