package ru.crp.lvms.optimizations.base.enums;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import ru.crp.lvms.optimizations.mf.enums.MFBaseSettingType;
import ru.crp.lvms.optimizations.optimus.enums.OptimusBaseSettingType;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructBaseSettingType;
import ru.crp.lvms.optimizations.tosca.enums.ToscaBaseSettingType;

@JsonTypeInfo(use = JsonTypeInfo.Id.NAME, include = JsonTypeInfo.As.PROPERTY)
@JsonSubTypes({
        @JsonSubTypes.Type(value = ToscaBaseSettingType.class, name = "ToscaBaseSettingType"),
        @JsonSubTypes.Type(value = MFBaseSettingType.class, name = "MFBaseSettingType"),
        @JsonSubTypes.Type(value = OptistructBaseSettingType.class, name = "OptistructBaseSettingType"),
        @JsonSubTypes.Type(value = OptimusBaseSettingType.class, name = "OptimusBaseSettingType")
})
public interface BaseSetting {
}
