package ru.crp.lvms.optimizations.misc;

import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import ru.crp.lvms.model.dao.BaseSpaceDao;

import java.util.List;

@Transactional(propagation = Propagation.REQUIRED)
public class AbstractOptimizationSettignsDao<T extends AbstractOptimizationSettings> extends BaseSpaceDao<T> {
    public List<T> findForOptimization(int optimizationId) {
        return find("WHERE optimization_id = ? ORDER BY name, id", optimizationId);
    }
}
