package ru.crp.lvms.optimizations.misc;

import ru.crp.cmlb.model.entities.Column;
import ru.crp.cmlb.model.entities.base.Entity;

public class AbstractOptimizationSettings implements Entity {
    private int id;

    @Column("optimization_id")
    private int optimizationId;

    @Column("optimization_type_id")
    private int optimizationTypeId;

    @Column("name")
    private String name;

    public AbstractOptimizationSettings() {
    }

    public AbstractOptimizationSettings(int optimizationId, String name) {
        setOptimizationId(optimizationId);
        setName(name);
    }

    @Override
    public int getId() {
        return id;
    }

    @Override
    public void setId(int id) {
        this.id = id;
    }

    public int getOptimizationId() {
        return optimizationId;
    }

    public void setOptimizationId(int optimizationId) {
        this.optimizationId = optimizationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getOptimizationTypeId() {
        return optimizationTypeId;
    }

    public void setOptimizationTypeId(int optimizationTypeId) {
        this.optimizationTypeId = optimizationTypeId;
    }
}
