
package ru.crp.lvms.optimizations.optimus.config.xml;


import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DECKSType", propOrder = {
        "creoDeck","deck"
})
public class DecksType {

    @XmlElement(name = "DECK", required = true)
    private List<DeckCreoType> creoDeck;

    @XmlElement(name = "DECK", required = true)
    private List<DeckType> deck;

    public DecksType() {
        deck = new ArrayList<DeckType>(); creoDeck = new ArrayList<DeckCreoType>();
    }

    public List<DeckCreoType> getCreoDeck() {
        return creoDeck;
    }

    public void setCreoDeck(List<DeckCreoType> creoDeck) {
        this.creoDeck = creoDeck;
    }

    public List<DeckType> getDeck() {
        return deck;
    }

    public void setDeck(List<DeckType> deck) {
        this.deck = deck;
    }
}
