
package ru.crp.lvms.optimizations.optimus.config.xml;


import javax.xml.bind.annotation.*;
import java.util.ArrayList;
import java.util.List;


@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "GroupCreoType", propOrder = {
        "timeout"
})
public class GroupCreoType {
    @XmlAttribute(name = "gid")
    private String gid;

    @XmlElement(name="TIMEOUT")
    protected List<TimeoutType> timeout;

    public GroupCreoType() {
    }

    public GroupCreoType(String gid) {
        this.gid = gid;
    }


    public String getGid() {
        return gid;
    }

    public void setGid(String gid) {
        this.gid = gid;
    }

    public List<TimeoutType> getTimeout() {
        if (timeout == null) {
            timeout = new ArrayList<TimeoutType>();
        }
        return this.timeout;
    }

    public void setTimeout(List<TimeoutType> timeout) {
        this.timeout = timeout;
    }
}
