package ru.crp.lvms.optimizations.optistruct.controllers;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.crp.lvms.optimizations.optistruct.entities.OptistructOptimizationConstraint;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructBaseSettingType;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructSettingsType;

import static ru.crp.lvms.utils.URLs.OPTISTRUCT_CONSTRAINT_URL;

@RestController
@RequestMapping(value = OPTISTRUCT_CONSTRAINT_URL, produces = MediaType.APPLICATION_JSON_VALUE)
public class OptistructConstraintController extends OptistructAbstractOptimizationSettingsController<OptistructOptimizationConstraint> {

    @Override
    protected OptistructBaseSettingType getOptistructOptimizationBaseSettingType() {
        return OptistructBaseSettingType.NUM_CONSTRAINTS;
    }

    @Override
    protected OptistructSettingsType getSettingsType() {
        return OptistructSettingsType.Constraint;
    }
}
