package ru.crp.lvms.optimizations.optistruct.entities;

import ru.crp.cmlb.model.entities.Table;
import ru.crp.lvms.optimizations.mf.entities.MFOptimizationBaseSetting;
import ru.crp.lvms.optimizations.optistruct.enums.OptistructBaseSettingType;

@Table("optistruct_optimization_base_settings_join")
public class OptistructOptimizationBaseSetting extends MFOptimizationBaseSetting {

    public OptistructOptimizationBaseSetting() {
    }

    public OptistructOptimizationBaseSetting(int optimizationId, int typeId, int currentValue) {
        super(optimizationId, typeId, currentValue);
    }

    @Override
    public String getType() {
        return OptistructBaseSettingType.valueOf(getTypeId()).name();
    }
}
