package ru.crp.lvms.optimizations.tosca.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import ru.crp.lvms.optimizations.misc.AbstractOptimizationSettignsDao;
import ru.crp.lvms.optimizations.tosca.entities.ToscaOptimizationTechnologicalConstraint;

@Repository
public class ToscaOptimizationTechnologicalConstraintDao extends AbstractOptimizationSettignsDao<ToscaOptimizationTechnologicalConstraint> {

    @Autowired
    private ToscaTechnologicalConstraintTreeValueDao toscaTechnologicalConstraintTreeValueDao;

    @Override
    public int insert(ToscaOptimizationTechnologicalConstraint toscaOptimizationTechnologicalConstraint) {
        int constraintId = super.insert(toscaOptimizationTechnologicalConstraint);
        toscaTechnologicalConstraintTreeValueDao.clearSavedValues(constraintId);
        return constraintId;
    }

}
