package ru.crp.lvms.pdf.reports;

import org.apache.commons.lang3.tuple.Pair;

import java.nio.file.Path;
import java.util.Collections;
import java.util.Date;
import java.util.List;

public class SimulationReportInput {
    private String typeName;
    private String standartName;
    private String materialName;
    private String ecName;
    private Date creationDate;
    private String userName;

    private Path picture;
    private Double manualSizeH;
    private Double manualSizeB;
    private Double manualSizeL;

    private Path fiberPic;
    private Path matrixPic;

    private List<Pair<String, String>> results;

    public SimulationReportInput() {
        results = Collections.emptyList();
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getStandartName() {
        return standartName;
    }

    public void setStandartName(String standartName) {
        this.standartName = standartName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getEcName() {
        return ecName;
    }

    public void setEcName(String ecName) {
        this.ecName = ecName;
    }

    public Date getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Date creationDate) {
        this.creationDate = creationDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Path getPicture() {
        return picture;
    }

    public void setPicture(Path picture) {
        this.picture = picture;
    }

    public Double getManualSizeH() {
        return manualSizeH;
    }

    public void setManualSizeH(Double manualSizeH) {
        this.manualSizeH = manualSizeH;
    }

    public Double getManualSizeB() {
        return manualSizeB;
    }

    public void setManualSizeB(Double manualSizeB) {
        this.manualSizeB = manualSizeB;
    }

    public Double getManualSizeL() {
        return manualSizeL;
    }

    public void setManualSizeL(Double manualSizeL) {
        this.manualSizeL = manualSizeL;
    }

    public List<Pair<String, String>> getResults() {
        return results;
    }

    public void setResults(List<Pair<String, String>> results) {
        this.results = results;
    }

    public Path getFiberPic() {
        return fiberPic;
    }

    public void setFiberPic(Path fiberPic) {
        this.fiberPic = fiberPic;
    }

    public Path getMatrixPic() {
        return matrixPic;
    }

    public void setMatrixPic(Path matrixPic) {
        this.matrixPic = matrixPic;
    }
}
