package ru.crp.lvms.pdf.reports.vo;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

@XmlRootElement(name = "parameter")
@XmlAccessorType(XmlAccessType.FIELD)
class CompositeParameter extends Parameter {
    private String name;
    @XmlElement(name = "children")
    private List<SimpleParameter> value;

    public CompositeParameter() {
    }

    CompositeParameter(String name, List<SimpleParameter> value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    @Override
    public List<SimpleParameter> getValue() {
        return value;
    }

    @Override
    void setComposite() {
        this.isComposite = true;
    }
}
