package ru.crp.lvms.pdf.reports.vo;

import javax.xml.bind.annotation.*;
import java.util.List;

@XmlRootElement(name = "simulations")
@XmlSeeAlso({ Parameter.class, SimpleParameter.class, CompositeParameter.class })
@XmlAccessorType(XmlAccessType.FIELD)
public class ReportInnerSimulationParameters {

    private String typeName;
    private String standartName;
    private String materialName;
    private String ecName;
    private String creationDate;
    private String userName;

    private String picture;
    private String manualSizeH;
    private String manualSizeB;
    private String manualSizeL;

    private String fiberPic;
    private String matrixPic;

    @XmlElementWrapper(name = "results")
    @XmlElementRef()
    private List<SimpleParameter> results;

    public ReportInnerSimulationParameters() {
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getStandartName() {
        return standartName;
    }

    public void setStandartName(String standartName) {
        this.standartName = standartName;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public String getEcName() {
        return ecName;
    }

    public void setEcName(String ecName) {
        this.ecName = ecName;
    }

    public String getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(String creationDate) {
        this.creationDate = creationDate;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPicture() {
        return picture;
    }

    public void setPicture(String picture) {
        this.picture = picture;
    }

    public String getManualSizeH() {
        return manualSizeH;
    }

    public void setManualSizeH(String manualSizeH) {
        this.manualSizeH = manualSizeH;
    }

    public String getManualSizeB() {
        return manualSizeB;
    }

    public void setManualSizeB(String manualSizeB) {
        this.manualSizeB = manualSizeB;
    }

    public String getManualSizeL() {
        return manualSizeL;
    }

    public void setManualSizeL(String manualSizeL) {
        this.manualSizeL = manualSizeL;
    }

    public List<SimpleParameter> getResults() {
        return results;
    }

    public void setResults(List<SimpleParameter> results) {
        this.results = results;
    }

    public String getFiberPic() {
        return fiberPic;
    }

    public void setFiberPic(String fiberPic) {
        this.fiberPic = fiberPic;
    }

    public String getMatrixPic() {
        return matrixPic;
    }

    public void setMatrixPic(String matrixPic) {
        this.matrixPic = matrixPic;
    }
}
