package ru.crp.lvms.tasks.misc;

import ru.crp.cmlb.model.entities.FileData;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

//collects info about all files that are required for starting task
public class TaskData {
    private List<FileData> files = new ArrayList<>();

    public void addAll(Collection<FileData> newFiles) {
        files.addAll(newFiles);
    }

    public void addFile(FileData newFile) {
        files.add(newFile);
    }

    public List<FileData> getFiles() {
        return files;
    }

    public boolean contains(String fileName) {
        return files.stream().anyMatch(file -> file.getName().equals(fileName));
    }
}
