package ru.crp.lvms.validators;

import ru.crp.lvms.model.entities.misc.ItemType;

import javax.validation.Constraint;
import java.lang.annotation.Documented;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import static java.lang.annotation.ElementType.FIELD;

@Target({FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = {ParentExistsValidator.class})
@Documented
public @interface ParentExists {
    String message() default "Parent is not exists or has not allowed type";

    Class<?>[] groups() default {};

    ItemType[] parentTypes();

    Class<? extends javax.validation.Payload>[] payload() default {};
}
