package ru.crp.lvms.web.controllers.users;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import ru.crp.lvms.model.dao.UserDao;
import ru.crp.lvms.model.entities.UserEntity;
import ru.crp.lvms.web.controllers.misc.ControllerImage;

import static ru.crp.lvms.utils.URLs.USER_AVATAR_URL;

@RestController
@RequestMapping(value = USER_AVATAR_URL, produces = MediaType.APPLICATION_JSON_VALUE)
public class AvatarController extends ControllerImage<UserEntity> {
    @Autowired
    public AvatarController(UserDao dao, @Value("${avatars.path}") String imagesPath) {
        super(dao, imagesPath);
    }
}
