CREATE TABLE help_chapters (
  id SERIAL,
  url_path VARCHAR(255) UNIQUE,
  chapter VARCHAR(255),
  PRIMARY KEY (id)
);

INSERT INTO help_chapters(url_path,chapter) VALUES
  ('defaultPage','3 ОБЩИЕ ИНСТРУКЦИИ ПО РАБОТЕ В ИСКПИ'),
  ('project/home','4.3 Рабочая панель'),
  ('project/materials','4.6 Материалы'),
  ('project/materials/create','4.6.1 Создание нового материала'),
  ('project/materials/parameters','4.6.2 Страница материала'),
  ('project/materials/files','4.6.3 Вкладка «Файлы»'),
  ('project/compositeMaterials','4.7 Композиционные материалы'),
  ('project/compositeMaterials/create','4.7.1 Создание композиционного материала'),
  ('project/compositeMaterials/parameters','4.7.2 Страница композиционного материала'),
  ('project/compositeMaterialseffectiveCharacteristics/create','4.7.3.1 Создание эффективной характеристики'),
  ('project/compositeMaterials/effectiveCharacteristics','4.7.3 Вкладка «Эффективные характеристики»'),
  ('project/compositeMaterials/simulations/create','4.7.4.1 Создание виртуального испытания'),
  ('project/compositeMaterials/simulations','4.9 Элементы конструкций'),
  ('project/compositeMaterials/materialFiles','4.9 Элементы конструкций'),
  ('project/effectiveCharacteristics/parameters','4.7.3.2 Страница эффективной характеристики'),
  ('project/simulations/parameters','4.7.4.2 Страница виртуального испытания'),
  ('project/users','4.12 Пользователи'),
  ('project/users/create','4.12.1 Страница пользователя системы'),
  ('profile','4.12.1 Страница пользователя системы'),
  ('project/technologies','4.8 Технологии'),
  ('project/technologies/create','4.8.1 Создание новой технологии'),
  ('project/technologies/technologyParameters/create','4.8.3.1 Внесение информации о характеристиках технологии'),
  ('project/technologies/technologyEquipments/create','4.8.3.2 Внесение информации об оборудовании'),
  ('project/technologies/technologyDefects/create','4.8.3.3 Внесение информации о дефектах'),
  ('project/technologies/parameters','4.8.2 Страница технологии'),
  ('project/constructionElements','4.9 Элементы конструкций'),
  ('project/constructionElements/create','4.9.1 Окно создания элемента конструкций'),
  ('project/constructionElements/parameters','4.9.2 Страница элемента конструкции'),
  ('project/constructionElements/designSolutions','4.9.3 Вкладки страницы элемента конструкции'),
  ('project/constructionElements/CADFiles','4.9.3 Вкладки страницы элемента конструкции'),
  ('project/constructionElements/CAEFiles','4.9.3 Вкладки страницы элемента конструкции'),
  ('project/constructionElements/CAOFiles','4.9.3 Вкладки страницы элемента конструкции'),
  ('project/optimizations','4.10 Оптимизационные расчёты'),
  ('project/optimizations/create','4.10.1 Окно создания оптимизационного расчёта'),
  ('project/optimizations/parameters','4.10.2 Страница оптимизационного расчёта'),
  ('project/optimizations/settings/ModeFrontier/1','4.10.4.1 Окно «Базовые параметры»'),
  ('project/optimizations/settings/ModeFrontier/2','4.10.4.3 Вкладки «Границы CAD-параметров» и «Границы CAE-параметров»'),
  ('project/optimizations/settings/ModeFrontier/3','4.10.4.3 Вкладки «Границы CAD-параметров» и «Границы CAE-параметров»'),
  ('project/optimizations/settings/ModeFrontier/4','4.10.4.4 Вкладка «Целевые функции»'),
  ('project/optimizations/settings/ModeFrontier/5','4.10.4.5 Вкладка «Ограничения»'),
  ('project/optimizations/settings/ModeFrontier/6','4.10.4.7 Вкладка «Алгоритм оптимизации»'),
  ('project/optimizations/settings/Tosca/2/1','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/2/2','4.10.5.2 Целевые функции и эксплуатационные ограничения при проведении топологической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/2/3','4.10.5.2 Целевые функции и эксплуатационные ограничения при проведении топологической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/2/4','4.10.5.3 Технологические ограничения при проведении топологической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/2/5','4.10.5.4 Дополнительные параметры оптимизации при проведении топологической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/2/6','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/2/7','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/7/1','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/7/2','4.10.5.5 Целевые функции и эксплуатационные ограничения при проведении оптимизации формы в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/7/3','4.10.5.5 Целевые функции и эксплуатационные ограничения при проведении оптимизации формы в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/7/4','4.10.5.6 Технологические ограничения при проведении оптимизации формы в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/7/5','4.10.5.7 Дополнительные параметры оптимизации при проведении топографической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/7/6','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/7/7','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/3/1','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/3/2','4.10.5.8 Целевые функции и эксплуатационные ограничения при топографической оптимизацации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/3/3','4.10.5.8 Целевые функции и эксплуатационные ограничения при топографической оптимизацации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/3/4','4.10.5.9 Технологические ограничения при проведении топографической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/3/5','4.10.5.10 Дополнительные параметры оптимизации при проведении топографической оптимизации в ИСКПИ с помощью Tosca Structure'),
  ('project/optimizations/settings/Tosca/3/6','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Tosca/3/7','4.10.5.1 Назначение основных вкладок'),
  ('project/optimizations/settings/Optistruct/1','4.10.6 Настройка параметров оптимизации при проведении оптимизационного расчета в Altair Optistruct'),
  ('project/optimizations/settings/Optistruct/2','4.10.6.2 Выставление основных параметров расчета в ИСКПИ для оптимизации с помощью Altair Optistruct'),
  ('project/optimizations/settings/Optistruct/3','4.10.6.2 Выставление основных параметров расчета в ИСКПИ для оптимизации с помощью Altair Optistruct'),
  ('project/optimizations/settings/Optistruct/4','4.10.6.3 Выставление технологических ограничений в ИСКПИ для оптимизации с помощью Altair Optistruct'),
  ('project/optimizations/settings/Optistruct/5','4.10.6.4 Выбор случаев нагружения расчета в ИСКПИ для оптимизации с помощью Altair Optistruct 130'),
  ('project/optimizations/settings/Optistruct/6','4.10.6.5 Выставление параметров для постпроцессинга для оптимизации с помощью Altair Optistruct'),
  ('project/optimizations/settings/Optistruct/7','4.10.6.6 Выставление дополнительных параметров расчета в ИСКПИ для оптимизации с помощью Altair Opti'),
  ('project/optimizations/levels','4.10.7 Вкладка «Граф уровней»'),
  ('project/optimizations/references','4.10.8 Вкладка «Дерево эволюции»'),
  ('project/queue','4.11 Расчёты');