CREATE TABLE columns_preferences (
  id          SERIAL,
  user_id     INTEGER           NOT NULL,
  table_name  CHARACTER VARYING NOT NULL,
  name        CHARACTER VARYING NOT NULL,
  label       CHARACTER VARYING NOT NULL,
  cell        CHARACTER VARYING NOT NULL,
  order_num   INTEGER           NOT NULL,
  is_excluded BOOLEAN           NOT NULL DEFAULT FALSE,
  width       INTEGER,
  perpage     INTEGER,

  PRIMARY KEY (id),
  FOREIGN KEY (user_id) REFERENCES users (id)
);
