CREATE TABLE optimization_technologies (
  id SERIAL,
  optimization_id INTEGER NOT NULL,
  technology_id INTEGER NOT NULL,

  PRIMARY KEY(id),
  FOREIGN KEY(optimization_id) REFERENCES optimizations(id) ON DELETE CASCADE,
  FOREIGN KEY(technology_id) REFERENCES technologies(id) ON DELETE CASCADE
);

CREATE TABLE optimization_materials (
  id SERIAL,
  optimization_id INTEGER NOT NULL,
  material_id INTEGER NOT NULL,

  PRIMARY KEY(id),
  FOREIGN KEY(optimization_id) REFERENCES optimizations(id) ON DELETE CASCADE,
  FOREIGN KEY(material_id) REFERENCES materials(id) ON DELETE CASCADE
);
