(function () {
  App.Controllers.TreeController = Marionette.Controller.extend({
    showTree: function (options) {

      this.model = new App.Models.TreeEntityModel(options);

      if (_.isNull(this.model)) {
        throw new Error("Sidebar tree's model is not defined: ", options.treeType)
      }

      this.zTreeView = new window.App.Views.zTreeBase(_.extend(options, {id: options.treeId, model: this.model}));

      //place treeView into region
      if (options.region) options.region.show(this.zTreeView); // TODO: Alexey Tikh, we need fix for contructionElements here - no region was passed through options

      return this.zTreeView;
    }
  });
})();