window.OptimizationOptimusScriptString = React.createClass({
  getInitialState: function () {
    return { string: this.props.string };
  },
  componentDidMount: function () {

  },
  onMouseUp: function () {
    const selection = window.getSelection();
    if (selection.toString() != "") {
      const startAt = Math.min(selection.anchorOffset, selection.focusOffset);
      const finishAt = Math.max(selection.anchorOffset, selection.focusOffset);
      window.App.commands.setHandler("click:parameter", parameter => {
        const stringToUpdate = this.state.string.replaceBetween(startAt, finishAt, parameter.name);
        $.ajax({
          type: "PUT",
          url: "rest/optimizations/" + this.props.optimizationId + "/Optimus/script/" + this.props.index,
          contentType: "application/json",
          data: JSON.stringify({
            string: stringToUpdate,
            paramId: parameter.id
          }),
          success: () => {
            window.App.commands.execute("update:script:parameters");
            this.setState({ string: stringToUpdate });
          }
        })
      })
    }
  },
  render: function () {
    let html = Prism.highlight(this.state.string, Prism.languages.python);
    return (
      <div className="ui-string-wrapper">
        <div dangerouslySetInnerHTML={{__html: html}}></div>
        <div className="ui-string-mask" onMouseUp={this.onMouseUp}>{this.state.string}</div>
      </div>
    );
  }
});