window.OptimizationOptistructContainer = React.createClass({
  getInitialState: function () {
    return { tab: this.props.tab ? parseInt(this.props.tab) : 1 };
  },
  prepareTab: function () {
    let tabContent;
    switch(this.state.tab) {
      case 1:
        tabContent = <window.OptimizationOptistructSets isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 2:
        tabContent = <window.OptimizationOptistructFunctions isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 3:
        tabContent = <window.OptimizationOptistructConstraints isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 4:
        tabContent = <window.OptimizationOptistructTechnologicalConstraints isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 5:
        tabContent = <window.OptimizationOptistructLoadings isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 6:
        tabContent = <window.OptimizationOptistructPostProcParameters isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 7:
        tabContent = <window.OptimizationOptistructAdditionalParameters isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      default:
        tabContent = <div>Default</div>;
        break;
    }
    return tabContent;
  },
  onNavigationClick: function (tab) {
    const mode = this.props.isView ? "view" : "edit";
    window.App.navigate("#project/optimizations/" + this.props.optimizationId + "/settings/" + mode + "/" + tab, { trigger: false });
    this.setState({ tab: tab });
  },
  render: function() {
    if (this.state.tab === 1) {
      var tabContent1;
      tabContent1 = <window.OptimizationOptistructLnsets isView={this.props.isView} optimizationId={this.props.optimizationId}/>;
    } else {
      tabContent1 = <div hidden=""></div>;
    }

    return (

      <div>
        <div className="js-settings-basic">
          <window.OptimizationSettingsBasic isView={this.props.isView} solverType={"Optistruct"} optimizationId={this.props.optimizationId}/>
        </div>
        <div className="js-settings-navigation">
          <window.OptimizationOptistructNavigation onClick={this.onNavigationClick} tab={this.state.tab} />
        </div>
        <div className="js-settings-set">
          {this.prepareTab()}
          {tabContent1}
        </div>
      </div>
    )
  }
});

