window.OptimizationToscaContainer = React.createClass({
  getInitialState: function () {
    return { tab: this.props.tab ? parseInt(this.props.tab) : 1 };
  },
  prepareTab: function () {
    let tabContent;
    switch(this.state.tab) {
      case 1:
        tabContent = <window.OptimizationToscaSets isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 2:
        tabContent = <window.OptimizationToscaFunctions isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 3:
        tabContent = <window.OptimizationToscaConstraints isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 4:
        tabContent = <window.OptimizationToscaTechnologicalConstraints isView={this.props.isView} optimization={this.props.optimization} />;
        break;
      case 5:
        tabContent = <window.OptimizationToscaParameters isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 6:
        tabContent = <window.OptimizationToscaAnimationParameters isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      case 7:
        tabContent = <window.OptimizationToscaPostProcessingParameters isView={this.props.isView} optimizationId={this.props.optimizationId} />;
        break;
      default:
        tabContent = <div>Default</div>;
        break;
    }
    return tabContent;
  },
  onNavigationClick: function (tab) {
    const mode = this.props.isView ? "view" : "edit";
    window.App.navigate("#project/optimizations/" + this.props.optimizationId + "/settings/" + mode + "/" + tab, { trigger: false });
    this.setState({ tab: tab });
  },
  render: function() {
    return (
      <div>
        <div className="js-settings-basic">
          <window.OptimizationSettingsBasic isView={this.props.isView} solverType={"Tosca"} optimizationId={this.props.optimizationId}/>
        </div>
        <div className="js-settings-navigation">
          <window.OptimizationToscaNavigation onClick={this.onNavigationClick} tab={this.state.tab} />
        </div>
        <div className="js-settings-set">
          {this.prepareTab()}
        </div>
      </div>
    )
  }
});

