(function () {
  "use strict";
  window.App.Views.OptimizationLevelsView = Marionette.CompositeView.extend({
    template: "./views/templates/project/optimization/optimization_levels.html.ejs",
    childView: window.App.Views.OptimizationLevelView,
    childViewContainer: ".js-levels-container",
    childViewOptions: function (model, index) {
      return {
        index: index
      }
    },
    className: "clearfix ui-levels-container",
    templateHelpers: function () {
      return {
        collectionLength: this.collection.length
      }
    }
  });

})();